@charset "UTF-8";

.l-header {
	width: 100%;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 100;
	padding: 18px 43px;
}
.l-header.is-scrolled {
	background-color: rgba(255, 255, 255, 0.1);
	backdrop-filter: blur(10px);
	-webkit-backdrop-filter: blur(10px);
	/* border-bottom: 1px solid rgba(0, 0, 0, 0.1); */
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
	transition: all 0.3s ease;
}
.l-header__inner {
	display: flex;
	justify-content: space-between;
	align-items: flex-end;
}
.l-header__logo a {
	display: block;
	width: 18rem;
}
.l-header__right {
	display: flex;
	justify-content: flex-end;
	align-items: center;
	gap: 2.4rem;
}

.l-header__right--wrap {
	display: flex;
	flex-direction: column;
	justify-content: center;
	row-gap: 0.8rem;
}
@media screen and (max-width: 1200px) {
	.l-header__right--wrap {
		display: none;
	}
}

.l-header__info {
	display: flex;
	align-items: center;
	column-gap: 2.8rem;
	justify-content: end;
}

.l-header__tel {
	--iconSize: 1rem;
	display: grid;
	grid-template-columns: var(--iconSize) auto;
	align-items: center;
	column-gap: 0.4rem;
	width: fit-content;
	color: var(--color-main);
	font-weight: bold;
	font-size: 1.6rem;
}
.l-header__tel::before {
	content: "";
	aspect-ratio: 40/59;
	mask-position: center center;
	mask-repeat: no-repeat;
	mask-size: contain;
	mask-image: url(../images/common/icon_phone.png);
	background-color: var(--color-main);
}

.l-header__open {
	position: relative;
	top: 2px;
	font-weight: 500;
	font-size: 1.2rem;
}

.l-header__nav {
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	gap: 0.7rem;
}
.l-header__info {
	display: flex;
	justify-content: flex-end;
	align-items: center;
	gap: 2.3rem;
}
.l-header__info-phone a {
	display: flex;
	align-items: center;
	gap: 0.4rem;
	font-size: 1.6rem;
	font-weight: 700;
	color: var(--color-main);
}
.l-header__info-phone a::before {
	content: "";
	display: block;
	width: 1rem;
	height: 1.48rem;
	background-image: url(../images/common/icon_phone.png);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
}
.l-header__info-date {
	font-size: 1.2rem;
	font-weight: 500;
}
.l-header__nav-list {
	display: flex;
	justify-content: flex-end;
	align-items: center;
	gap: 2.64em;
}
.l-header__nav-list li a {
	font-size: 1.4rem;
	font-weight: 700;
	white-space: nowrap;
}
.l-header__btns {
	display: flex;
	justify-content: flex-end;
	align-items: center;
	gap: 0.9rem;
}
.l-header__btn {
	height: 4.6rem;
	width: 12rem;
	border-radius: 0.4rem;
	font-size: 1.4rem;
	font-weight: 700;
	border: 1px solid var(--color-main);
	display: flex;
	justify-content: center;
	align-items: center;
}
.l-header__btn--contact {
	background-color: var(--color-main);
	color: #fff;
}
.l-header__btn--login {
	background-color: transparent;
	color: var(--color-main);
}
.l-header__hamburger {
	display: none;
}
.l-header__nav-sp {
	display: none;
}

@media (max-width: 1200px) {
	/* .l-header {
        padding: 18px calc(30 * var(--width-ratio));
    }
    .l-header__right {
        column-gap: calc(24 * var(--width-ratio));
    }
    .l-header__nav-list {
        flex-wrap: wrap;
        row-gap: 1em;
        column-gap: calc(24 * var(--width-ratio));
        margin-left: 3em;
    }
    .l-header__info {
        column-gap: calc(23 * var(--width-ratio));
    } */
	.l-header__nav-list {
		display: none;
	}
	.l-header__btns {
		display: none;
	}
	.l-header__hamburger {
		display: block;
		width: 4.6rem;
		height: 4.6rem;
		background-color: var(--color-main);
		border-radius: 0.6rem;
		display: flex;
		justify-content: center;
		align-items: center;
		cursor: pointer;
	}
	.l-header__hamburger img {
		width: 2.4rem;
		height: 1.2rem;
		object-fit: contain;
	}
	.l-header__nav-sp {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		position: fixed;
		top: 0;
		left: 105vw;
		opacity: 0;
		width: 100%;
		height: 100vh;
		background-color: #fff;
		z-index: 100;
		overflow-y: auto;
		transition: all 0.3s ease;
	}
	.l-header__nav-sp.is-open {
		left: 0;
		opacity: 1;
	}
	.l-header__nav-list-sp {
		width: 100%;
		height: auto;
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		gap: 4rem;
	}
	.l-header__nav-list-sp li a {
		font-size: 2.6rem;
		font-weight: 700;
		color: var(--color-lightgreen);
		text-align: center;
	}
	.l-header__nav-sp-close {
		display: block;
		width: 4.6rem;
		height: 4.6rem;
		background-color: var(--color-main);
		border-radius: 0.6rem;
		display: flex;
		justify-content: center;
		align-items: center;
		cursor: pointer;
		position: absolute;
		top: 2rem;
		right: 4.3rem;
		z-index: 101;
	}
	.l-header__nav-sp-close span {
		display: block;
		width: 80%;
		height: 2px;
		background-color: #fff;
		position: absolute;
		top: 50%;
		left: 50%;
	}
	.l-header__nav-sp-close span:first-child {
		transform: translateX(-50%) rotate(45deg);
	}
	.l-header__nav-sp-close span:last-child {
		transform: translateX(-50%) rotate(-45deg);
	}
}

@media (max-width: 768px) {
	.l-header {
		height: 55px;
		padding: 0 calc(24 * var(--width-ratio));
	}
	.l-header__inner {
		height: 100%;
		align-items: center;
	}
	.l-header__logo a {
		width: 12rem;
	}
	.l-header__right {
		column-gap: 0.85rem;
	}
	.l-header__info-phone a {
		font-size: 1.2rem;
	}
	.l-header__info-phone a::before {
		width: 0.6rem;
	}
	.l-header__info-date {
		font-size: 1rem;
	}
	.l-header__hamburger {
		width: 3.2rem;
		height: 3.2rem;
		border-radius: 0.4rem;
	}
	.l-header__hamburger img {
		width: 1.9rem;
		height: 0.9rem;
	}
	.l-header__nav-sp {
		left: 105vw;
	}
	.l-header__nav-list-sp {
		gap: calc(30 * var(--width-ratio));
	}
	.l-header__nav-list-sp li a {
		font-size: 2rem;
		font-weight: 700;
		color: var(--color-lightgreen);
		text-align: center;
	}
	.l-header__nav-sp-close {
		width: 3.2rem;
		height: 3.2rem;
		border-radius: 0.4rem;
		top: 1.4rem;
		right: 2.5rem;
		z-index: 101;
	}
	.l-header__nav-sp-close span {
		width: 80%;
		height: 2px;
	}
}

.l-header__nav-list li.current > a {
	color: var(--color-lightgreen);
	position: relative;
}
.l-header__nav-list li.current > a::after {
	content: "";
	width: 10px;
	height: 5.28px;
	border-radius: 0 0 999px 999px; /* 下半円 */
	pointer-events: none;
	background: var(--color-lightgreen);
	position: absolute;
	bottom: -6px;
	left: 50%;
	transform: translateX(-50%);
	-webkit-transform: translateX(-50%);
	-ms-transform: translateX(-50%);
}
